function E0090()
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    MNA()CMU("CS_Jenka")FAI(4)
end

function TheTrade()
    KEY()
    CMU("CS_Kodou")
    HMC()
    FON("Puu1",1)
    WAI(16)
    ANP("Puu1","walk",1)
    ANP("Tala1","walk",1)
    ANP("Pushcart1","move",1)
    ANP("Kanpa1",204)
    FAI(2)
    WAI(32)
    FAC("sue_sad")TUR()MS3("This place is so scary...")WAI(128)
    CAT("\nWhere are they taking us?")WAI(160)
    CLR()FAC("toroko_normal")CAT("\nMaybe to Mr. Cockroach's home.")WAI(160)
    CLR()FAC("sue_sad")CAT("Cockroaches are my")
    CAT("\nleast favorite creatures...")WAI(128)
    CLR()FAC("toroko_><")CAT("Maybe I could be their maid")WAI(128)
    CAT("\nand clean them all up nice and tidy.")WAI(128)
    CLR()FAC("sue_angry")CAT("Toroko, you're really not")
    CAT("\nafraid of them at all...")WAI(160)
    CLR()FAC("toroko_normal")CAT("\nWhat can I say? I'm an airhead~")WAI(160)CLO()
    WAI(200)
    DNP("BkGaudi")
    PMU(5)
    WAI(80)
    ANP("Puu1","normal",1)
    ANP("Tala1","normal",1)
    ANP("Pushcart1","normal",1)
    FON("Camera1",16)
    FAC("tala_normal")MS3("\nWe're here~")NOD()CLO()
    ---[[
    CMU("CS_Jenka")
    WAI(60)
    FAC()MS3("Wow! What a huge fish!")NOD()
    CAT("\nEven bigger than that shark we met earlier...")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",1)
    FAC("sue_angry")CAT("And bigger than that")
    CAT("\nlarge cat I saw before")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    FAC("toroko_normal")CAT("Kanpachi would be")
    CAT("\nso happy to see this...")NOD()CLR()
    FAC("sue_sad")CAT("So what's this trade about?")NOD()
    FAC("sue_angry")CAT("\nAre they trading")
    CAT("\nall of us for that fish?!")NOD()CLR()
    FAC("jack_><")CAT("I think that's")
    CAT("\nexactly what's happening...")NOD()CLR()
    FAC("toroko_normal")CAT("Maybe we'll have to")
    CAT("\nlive with the cockroach")
    CAT("\ngentlemen from now on...")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",1)
    FAC("sue_sad")CAT("I don't want to be with")
    CAT("\ncockroaches or whatever...")NOD()
    CAT("\nI want to go home!!")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    PMU(5)
    FAC("tala_normal")CAT("Alright~")NOD()
    CAT("\nQuiet down, it's time to get to business!")NOD()CLR()
    FAC("puu_normal")CAT("Mr. G,")NOD()
    CAT("\nwe've brought all the Mimigas")
    CAT("\nyou requested.")NOD()CLR()
    FAC()CAT("That's wonderful,")NOD()
    CAT("\nI can't wait to admire them.")NOD()CLO()
    --]]
    ANP("MrG1","walk",0)
    WAI(8*16)
    ANP("Puu1","normal",0)
    WAI(16)
    ANP("MrG1","normal",0)
    WAI(60)
    WAI(60)
    ANP("MrG1","walk",0)
    WAI(16)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    WAI(16)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    WAI(16)
    ANP("MrG1","normal",0)
    ANP("Tala1","look_down")
    WAI(60)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    WAI(30)
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    WAI(30)
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","back",0)
    WAI(60)
    ANP("MrG1","walk",0)
    WAI(64)
    ANP("MrG1","normal",1)
    WAI(60)
    ---[[
    FAC()MS3("They all look lively, very good~")NOD()
    ANP("MrG1","normal",0)
    CAT("\nBut isn't the number wrong?")NOD()CLR()
    CAT("I only see six,")NOD()
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",0)
    CAT("\nwhere's the seventh?")NOD()CLR()
    FAC("tala_normal")CAT("About that,")NOD()
    CAT("\nwe have one very rare Mimiga,")NOD()
    CAT("\nshe's extremely beautiful,")
    CAT("\nso she counts as two.")NOD()CLR()
    ANP("MrG1","normal",1)
    FAC()CAT("\nThis one?")NOD()CLR()
    FAC("tala_normal")MS3("\nThat's right!")NOD()CLR()
    FAC()CAT("Hmm,")NOD()
    CAT("\nshe is indeed very beautiful.")NOD()CLR()
    ANP("MrG1","normal",0)
    CAT("But about being one short,")
    CAT("\nI'll need to consult with our boss...")NOD()CLR()
    ANP("MrG1","normal",1)
    CAT("\nPlease wait a moment.")NOD()CLR()
    FAC("tala_normal")CAT("\nNo problem~")NOD()CLO()
    --]]
    ANP("MrG1","walk",1)
    WAI(16)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",1)
    WAI(16)
    ANP("Tala1","look_normal")
    WAI(32)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    WAI(16)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    WAI(16)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    WAI(32)
    ANP("Puu1","normal",1)
    WAI(64)
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    WAI(15*16 - 4)
    ANP("MrG1","normal",1)
    DNP("MrG1")
    WAI(60)
    ---[[
    CMU("CS_Vivi")
    ANP("Tala1","look_down")
    MS3("Isn't this the big fish I caught...")NOD()
    CAT("\nI remember giving it to the big cat.")NOD()CLR()
    CAT("\nWhy is it with you all?")NOD()CLR()
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    FAC("jack_normal")CAT("Big cat?")NOD()
    CAT("\nWhat's that?")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",0)
    FAC("sue_angry")CAT("I knew what I saw wasn't")
    CAT("\nan illusion,")NOD()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    FAC("sue_normal")CAT("\nThere really is a giant cat!")NOD()CLR()
    FAC("toroko_normal")CAT("Looks like our Kanpachi")
    CAT("\nhas a new friend~")NOD()
    CAT("\nAnd even caught such a")
    CAT("\nbig fish to feed it.")NOD()CLR()
    FAC()CAT("That's right,")NOD()
    CAT("\nAlthough the fish is still alive,")NOD()
    CAT("\nhe promised to help me find Mahin.")NOD()CLR()
    CAT("\nI wonder how it's doing now...")NOD()CLR()
    ANP("Puu1","normal",0)
    FAC("puu_normal")CAT("I see...")NOD()
    CAT("\nNo wonder you, fishing boy,")
    CAT("\nstole our Kuron.")NOD()CLR()
    CAT("Do you know how much")
    CAT("\ntrouble we went through")
    CAT("\nto secretly buy a new dragon fish")
    CAT("\nwithout our king knowing...")NOD()CLR()
    FAC("tala_normal")CAT("Hearing you say that,")
    CAT("\nsomething seems off~")NOD()CLR()
    FAC("puu_normal")CAT("\nWhat's wrong?")NOD()CLR()
    PMU(5)
    FAC("tala_normal")CAT("If what this fishing boy")
    CAT("\nsays is true...")NOD()
    CAT("\nThe dragon fish we're trading for")
    CAT("\nwas originally ours.")NOD()CLR()
    CAT("But for some reason")
    CAT("\nit's now in Gaudi's possession.")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    ANP("Puu1","normal",1)
    FAC("puu_normal")CAT("Really?!")NOD()
    CAT("\nI need to take a closer look!")NOD()CLR()
    FAC()CAT("It must be him!")NOD()
    CAT("\nI never mistake a fish.")NOD()CLO()
    --]]
    ANP("Puu1","walk",1)
    WAI(8*16)
    ANP("GaudiArmoured1","back_jump",0)
    WAI(8)
    ANP("GaudiArmoured2","back_jump",0)
    WAI(8)
    ANP("Puu1","normal",1)
    MS3("Stop! Don't come any closer...")NOD()CLO()
    ANP("Puu1","back")
    WAI(60)
    FAC("puu_normal")MS3("Wake up! Kuron,")NOD()
    CAT("\nIt's me! Puu!")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","wink")
    WAI(60)
    ANP("Fishtank1","stand")
    ANP("Fishtank1","wink")
    WAI(60)
    FAC("puu_cry")MS3("It really is you!")NOD()
    CAT("\nI wasn't wrong!")NOD()
    CAT("\nIt's our Kuron..")NOD()CLO()
    ANP("GaudiArmoured1","normal",1)
    WAI(120)
    ANP("GaudiArmoured1","normal",0)
    WAI(60)
    FAC()MS3("\nDo you have any proof this fish is yours?")NOD()CLR()
    ANP("Puu1","normal")
    FAC("puu_normal")CAT("Are you kidding me?!")NOD()
    CAT("\nI raised it myself,")NOD()
    CAT("\nand it recognizes me!")NOD()CLO()
    ANP("GaudiArmoured1","normal",1)
    WAI(60)
    ANP("GaudiArmoured1","struggle")
    ANP("GaudiArmoured2","struggle")
    ANP("GaudiArmoured3","struggle")
    WAI(120)
    ANP("GaudiArmoured1","normal")
    ANP("GaudiArmoured2","normal")
    ANP("GaudiArmoured3","normal")
    WAI(60)
    ANP("GaudiArmoured1","normal",0)
    WAI(30)
    ---[[
    CMU("CS_Access")
    FAC()MS3("Are you serious?")NOD()
    CAT("\nA fish recognizing its owner?")NOD()
    CAT("\nMaybe a mouse, but...")NOD()CLO()
    WAI(60)
    ANP("Puu1","gesture")
    MS3("\nKuron, turn right!")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","stand",1)
    WAI(16)
    ANP("Puu1","normal")
    WAI(60)
    ANP("Puu1","gesture")
    MS3("\nKuron, turn left!")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","stand",0)
    WAI(16)
    ANP("Puu1","normal")
    WAI(60)
    ANP("Puu1","gesture")
    MS3("\nKuron, play dead!")NOD()CLO()
    WAI(60)
    ANP("Fishtank1","play_dead",0)
    WAI(16)
    ANP("Puu1","normal")
    WAI(60)
    FAC("toroko_normal")MS3("Hahaha!")
    CAT("\nIt's like a big doggy~")NOD()CLO()
    WAI(60)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    FAC()MS3("Wow!")NOD()
    CAT("So according to this,")NOD()
    CAT("\nsome fishing 'hero' from our village")
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)NOD()
    CAT("\nstole someone's 'doggy'")
    CAT("\nwhich caused all of this?")NOD()CLO()
    WAI(60)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",0)
    MS3("Hey, don't look at me.")NOD()
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","back",0)
    CAT("\nHow would I know...")NOD()CLO()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",0)
    FAC("sue_angry")MS3("\nI hate you, Kanpachi!")NOD()CLR()
    FAC("toroko_><")CAT("Wait! Sue,")
    CAT("\nthis isn't Kanpachi's fault...")NOD()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    FAC("toroko_normal")CAT("\nHe just wanted to find Mahin, right?")NOD()CLR()
    FAC("sue_sad")CAT("\nSo this is all Mahin's fault then?")NOD()CLR()
    FAC("toroko_--")CAT("Well~")NOD()
    CAT("\nWe can't be completely sure yet.")NOD()CLO()
    ANP("Fishtank1","stand",0)
    ANP("Fishtank1","wink")
    WAI(60)
    ANP("GaudiArmoured1","normal",0)
    WAI(30)
    MS3("This is bad, brothers,")NOD()
    CAT("\nIt looks like the fish really is his...")NOD()CLR()
    CAT("Even if he raised it,")
    CAT("\nthis fish is still our property now.")NOD()CLR()
    CAT("\nLet's wait for our boss's response...")NOD()CLO()
    PMU(5)
    WAI(60)
    --]]
    SNP("CS_mrg_animate",143,16,0,"mainLayer","MrG1")
    WAI(30)
    ANP("MrG1","walk",0)
    WAI(32)
    ANP("MrG1","normal",0)
    WAI(32)
    MS3("\nOur boss's response is....")NOD()CLO()
    WAI(60)
    TUR()MS3("\n")
    CAT("Transaction terminated!",2)NOD()CLO()
    local start_x = 100;
    local end_x = start_x - 12;
    for i=start_x,end_x,-1 do
        SNP("CS_gaudi_armoured_animate",i,16,1,"mainLayer","GaudiArmouredArmy")
    end
    ANP("GaudiArmouredArmy","walk",1)
    WAI(16)
    FON("Camera2")
    WAI(16*8)
    ANP("Tala1","normal",0)
    ANP("Tala1","look_down")
    WAI(32)
    ANP("GaudiArmouredArmy","normal",1)
    WAI(16)
    ANP("Puu1","normal",0)
    WAI(16)
    --咪咪卡们往左看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    --
    WAI(32)
    FON("Camera1")
    WAI(32)
    FAC("puu_normal")MS3("\nHey! What's the meaning of this?!")NOD()CLR()
    FAC()CAT("As you can see,")NOD()
    CAT("\nthe deal is no longer necessary.")NOD()CLR()
    CAT("\nEverything here is ours now!")NOD()CLR()
    FAC("puu_normal")CAT("That's so despicable,")NOD()
    CAT("\nif our Lord finds out about this,")NOD()
    CAT("\nHe'll send Tala and the golems to")
    CAT("\nflatten you all into meat patties!")NOD()CLR()
    FAC()CAT("\nIs that so?")NOD()CLO()
    ANP("MrG1","struggle")
    WAI(30)
    ANP("Puu1","normal",1)
    WAI(30)
    --咪咪卡们往右看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    --
    WAI(30)
    FAC("puu_normal")MS3("\nHey! What's so funny!")NOD()CLO()
    WAI(30)
    ANP("MrG1","normal")
    WAI(30)
    MS3("Our intelligence network has learned")NOD()
    CAT("\nthat the Statue Demon's castle is")
    CAT("\ncompletely empty,")NOD()CLR()
    CAT("Your so-called Lord and golem")
    CAT("\nhave all turned into statues.")NOD()CLR()
    FAC("puu_cry")CAT("No!")NOD()
    CAT("\nThat can't be true!")NOD()CLR()
    FAC()CAT("\nI'm afraid it is.")NOD()CLO()
    WAI(30)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    FAC("jack_normal")MS3("\nHey! Did you all hear that?")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","angry",1)
    FAC("sue_normal")CAT("Yeah! It must be them!")NOD()
    FAC("sue_angry")CAT("\nQuote and Curly have come to")
    CAT("\nrescue us!")NOD()CLR()
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    FAC("toroko_normal")CAT("Haha,")
    CAT("\nSue's spirit recovered instantly~")NOD()CLO()
    WAI(60)
    --咪咪卡们往右看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",1)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",1)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",1)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",1)
    --
    FAC()MS3("Anyway! Our boss says,")NOD()
    CAT("\nseize them!")NOD()CLO()
    --咪咪卡们往左看
    ANP("Cage_SueToroko",0,0)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_SueToroko",0,1)ANP("Cage_SueToroko","normal",0)
    ANP("Cage_ChakoKanpa",0,0)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_ChakoKanpa",0,1)ANP("Cage_ChakoKanpa","normal",0)
    ANP("Cage_SantaJack",0,0)ANP("Cage_SantaJack","normal",0)
    ANP("Cage_SantaJack",0,1)ANP("Cage_SantaJack","normal",0)
    --
    ANP("GaudiArmouredArmy","walk",1)
    WAI(16)
    ANP("Tala1","defeated2")
    WAI(30)
    ANP("Puu1","normal",0)
    FAC("puu_cry")MS3("\nNOOOO!!!!")WAI(128)
    FAO(1)CLO()
    SMC(0)SMC(1)
    TRA("CS_gaudi_blackmaket_teleport","QuoteCurlyArrive",10,14)
end
